### Function

# Dex file_query_info

#### Declaration [src]

    DexFuture*
    dex_file_query_info (
      GFile* file,
      const char* attributes,
      GFileQueryInfoFlags flags,
      int io_priority
    )

#### Description

No description available.

#### Parameters

`file`

  Type: `GFile`

  A `GFile`.

  The data is owned by the caller of the function.

`attributes`

  Type: `const char*`

  An attribute query string (see: GFile documentation).

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `GFileQueryInfoFlags`

  A set of `GFileQueryInfoFlags`.

`io_priority`

  Type: `int`

  The IO priority of the request.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GFileInfo` or rejects with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.